## mina 1.18.0

=== DESCRIPTION ===
Package: mina
Title: Microbial community dIversity and Network Analysis
Version: 1.18.0
Authors@R: c(person("Rui", "Guan", email = "guan@mpipz.mpg.de", role = c("aut", "cre")),
    person("Ruben", "Garrido-Oter", email = "garridoo@mpipz.mpg.de", role = "ctb"))
Description: An increasing number of microbiome datasets have been generated and analyzed with the help of rapidly developing sequencing technologies. At present, analysis of taxonomic profiling data is mainly conducted using composition-based methods, which ignores interactions between community members. Besides this, a lack of efficient ways to compare microbial interaction networks limited the study of community dynamics. To better understand how community diversity is affected by complex interactions between its members, we developed a framework (Microbial community dIversity and Network Analysis, mina), a comprehensive framework for microbial community diversity analysis and network comparison. By defining and integrating network-derived community features, we greatly reduce noise-to-signal ratio for diversity analyses. A bootstrap and permutation-based method was implemented to assess community network dissimilarities and extract discriminative features in a statistically principled way.
Depends: R (>= 4.0.0)
LinkingTo: Rcpp, RcppParallel, RcppArmadillo
License: GPL
Encoding: UTF-8
Imports: methods, stats, Rcpp, MCL, RSpectra, apcluster, bigmemory,
        foreach, ggplot2, parallel, parallelDist, reshape2, plyr,
        biganalytics, stringr, Hmisc, utils
LazyData: true
Suggests: knitr, rmarkdown
Enhances: doMC
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Collate: 'RcppChk.R' 'RcppExports.R' 'all_classes.R' 'all_generics.R'
        'adj.R' 'all_accessors.R' 'bs_pm.R' 'check.R' 'com_dis.R'
        'com_plot.R' 'com_r2.R' 'data.R' 'dmr.R' 'fit_tabs.R'
        'get_rep.R' 'net_cls.R' 'net_cls_tab.R' 'net_dis.R'
        'net_dis_indi.R' 'net_dis_pcoa.R' 'net_dis_plot.R'
        'net_grp_cmp.R' 'net_node_cmp.R' 'norm_tab.R'
biocViews: Software, WorkflowStep
BugReports: https://github.com/Guan06/mina
git_url: https://git.bioconductor.org/packages/mina
git_branch: RELEASE_3_22
git_last_commit: 575681a
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: yes
Packaged: 2025-10-30 05:06:50 UTC; biocbuild
Author: Rui Guan [aut, cre],
  Ruben Garrido-Oter [ctb]
Maintainer: Rui Guan <guan@mpipz.mpg.de>

## mina 1.1.7.dfsg

=== debian/changelog ===
mina (1.1.7.dfsg-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on javahelper.

  [ Vladimir Petko ]
  * d/rules: use java_compat_level variable provided by java-common to
    adjust -source/-target level to the minimum required by the default
    Java (Closes: #1053062).

  [ Emmanuel Bourg ]
  * Removed the -java-doc package
  * Standards-Version updated to 4.7.0
  * Switch to debhelper level 13
  * Updated the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2024 10:25:41 +0200

mina (1.1.7.dfsg-13) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with javahelper 0.72 (Closes: #927244)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889352)
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Apr 2019 09:56:32 +0200

mina (1.1.7.dfsg-12) unstable; urgency=medium

  * Fixed the build failure with Java 9 (Closes: #893376)
  * Moved the package to Git
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Mar 2018 21:24:08 +0100

mina (1.1.7.dfsg-11) unstable; urgency=low

  * Removed the dependency on libmx4j-java
  * Fixed the watch file
  * Updated Standards-Version to 3.9.4 (no changes)
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Jul 2013 16:05:50 +0200

mina (1.1.7.dfsg-10) unstable; urgency=low

  * Team upload.
  * Switch dependencies on Spring Framework 2.5 with 3.0. (Closes: #638538).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add mh_clean call in dh_auto_clean target,

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 19 Aug 2011 19:52:14 -0430

mina (1.1.7.dfsg-9) unstable; urgency=low

  * d/control: Remove gjdoc from Build-Depends.
  * d/README.Debian: spring support is now enabled.
  * d/rules: Use jh_installjavadoc to install javadoc
  * d/rules: Use dh 7 style
  * Switch to default-jdk
  * Remove Depends on JRE (as allowed by new Java Policy)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Apr 2010 19:51:31 +0200

mina (1.1.7.dfsg-8) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * debian/maven.rules: Transform more dependencies

  [ Torsten Werner ]
  * Let 'maintainers' start with uppercase M.
  * Add missing Depends: ${misc:Depends}.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 00:47:02 +0200

mina (1.1.7.dfsg-7) unstable; urgency=low

  * Append "Mina 1.x" in extended description
  * Bump debhelper to >= 7
    - Replace dh_clean -k by dh_prep
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
    - debian/maven.rules: Install all JAR with "1.x" currentVersion
  * Update debian/watch to track 1.x releases
  * Cleanup get-orig-source:
    - Create a debian/orig-tar.sh with exlusion list in debian/orig-tar.exclude

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Oct 2009 22:47:23 +0200

mina (1.1.7.dfsg-6) unstable; urgency=low

  * Enable build of mina-integration-spring :
   - debian/control: add B-D on libspring-beans to build mina-integration-spring
   - debian/libmina-java.jlibs: add new mina-integration-spring.jar
   - debian/rules: add rules tu build mina-integration-spring
  * Bump Standards-Version 3.8.3 (no changes needed)
    - Move libmina-java to "java" section
  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Update my email address
  * Rework dependencies:
    - debian/rules: remove jh_depends usage
    - debian/control: downgrade libjzlib-java and libmx4j-java to Recommends
    - debian/control: add Suggests on libspring-beans-2.5-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 25 Sep 2009 23:23:34 +0200

mina (1.1.7.dfsg-5) unstable; urgency=low

  * Add Build-Depends on gjdoc for dh_javadoc helper (Closes: #507203)
    Thanks to James Westby <james.westby@canonical.com>.
  * Move examples (sample source code) to libmina-java-doc package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 29 Nov 2008 21:05:49 +0100

mina (1.1.7.dfsg-4) unstable; urgency=low

  * debian/control:
    - As stated by Debian Java Policy, add a Depends on
      required JRE (version >=5 and headless). Use openjdk-6-jre-headless as
      default alternative.
    - Depends on debhelper ">= 5" instead of ">> 5"
    - Reformat and correct typo in debian packages description
  * debian/watch: correct dversionmangle to escape ".dfsg" from version number
  * debian/rules: give to jh_build options '-source 1.5 -target 1.5' to compile
    to 1.5 .class format (without that we get OpenJDK6 default class format
    which is 1.6)
  * debian/copyright:
    - Add a note about items stripped from upstream tarball.
    - Reformat debian packaging copyright
  * Rewrite Abstract of Mina package's doc-base.

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Thu, 14 Aug 2008 01:16:52 +0200

mina (1.1.7.dfsg-3) unstable; urgency=low

  * Initial release. (Closes: #491626)
  * debian/control: Use differents synopses for libmina-java and -doc
  * debian/rules:
    - Use dh_installexamples for installing sample code
    - Strip *.vsd files from orig.tar.gz (Microsoft Visio documents)
  * debian/copyright: Licence packaging to BSD licence

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 02 Aug 2008 01:16:12 +0200

mina (1.1.7.dfsg-2) unstable; urgency=low

  * Use dh_javadoc for generating Javadoc

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 22 Jul 2008 21:26:43 +0200

mina (1.1.7.dfsg-1) unstable; urgency=low

  * Thanks to Rail Aliev <rail@i-rs.ru> for his packaging help

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 22 Jul 2008 20:30:20 +0200

=== debian/control ===
Source: mina
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libjzlib-java,
 libslf4j-java,
 libspring-beans-java,
 maven-repo-helper
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/mina.git
Vcs-Browser: https://salsa.debian.org/java-team/mina
Homepage: https://mina.apache.org

Package: libmina-java
Architecture: all
Depends: libslf4j-java, ${misc:Depends}
Recommends: libjzlib-java
Suggests: libspring-beans-java
Description: Java network application framework
 Apache MINA is a network application framework which helps users develop high
 performance and high scalability network applications easily. It provides an
 abstract - event-driven - asynchronous API over various transports such as
 TCP/IP and UDP/IP via Java NIO.
 .
 Some of the features of Apache Mina are:
  - Unified API for various transport types: TCP/UDP/RS232/In-VM
  - Filter interface as an extension point; similar to Servlet filters
  - Low-level and high-level API
  - Highly customizable thread model
  - Out-of-the-box SSL / TLS and StartTLS support using Java 5 SSLEngine
  - Overload shielding & traffic throttling
  - Unit testability using mock objects
  - JMX managability
  - Stream-based I/O support via StreamIoHandler
 .
 This package contains Apache Mina 1.X release

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/java/java_defaults.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE   := $(shell dpkg-parsechangelog | grep '^Source:' | cut -f 2 -d ' ')
VERSION   := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed -r 's/\.dfsg//')

JAVA_HOME := /usr/lib/jvm/default-java
# We need to export JAVA_HOME for jh_build
export JAVA_HOME

# Target the minimum language level and class format supported by the default JDK
JAVA_OPTS := -source $(java_compat_level) -target $(java_compat_level)

CORE_JAR  := $(PACKAGE)-core.jar
CORE_SRC  := core/src/main/java/
CORE_CP   := /usr/share/java/slf4j-api.jar

ZLIB_JAR  := $(PACKAGE)-filter-compression.jar
ZLIB_SRC  := filter-compression/src/main/java/
ZLIB_CP   := $(CORE_JAR):/usr/share/java/slf4j-api.jar:/usr/share/java/jzlib.jar

SSL_JAR   := $(PACKAGE)-filter-ssl.jar
SSL_SRC   := filter-ssl/src/main/java/
SSL_CP    := $(CORE_JAR):/usr/share/java/slf4j-api.jar

JMX_JAR   := $(PACKAGE)-integration-jmx.jar
JMX_SRC   := integration-jmx/src/main/java/
JMX_CP    := $(CORE_JAR):/usr/share/java/slf4j-api.jar

SPRING_JAR := $(PACKAGE)-integration-spring.jar
SPRING_SRC := integration-spring/src/main/java/
SPRING_CP  := $(CORE_JAR):/usr/share/java/slf4j-api.jar:/usr/share/java/spring3-core.jar:/usr/share/java/spring3-beans.jar

ALL_JARS = $(wildcard *.jar)

%:
	dh $@ --with javahelper

override_dh_auto_build:
	# Build the packages
	( CLASSPATH=${CORE_CP}   jh_build -J --javacopts='$(JAVA_OPTS)' $(CORE_JAR)   $(CORE_SRC)   )
	( CLASSPATH=${ZLIB_CP}   jh_build -J --javacopts='$(JAVA_OPTS)' $(ZLIB_JAR)   $(ZLIB_SRC)   )
	( CLASSPATH=${SSL_CP}    jh_build -J --javacopts='$(JAVA_OPTS)' $(SSL_JAR)    $(SSL_SRC)    )
	( CLASSPATH=${JMX_CP}    jh_build -J --javacopts='$(JAVA_OPTS)' $(JMX_JAR)    $(JMX_SRC)    )
	( CLASSPATH=${SPRING_CP} jh_build -J --javacopts='$(JAVA_OPTS)' $(SPRING_JAR) $(SPRING_SRC) )

override_dh_auto_clean:
	rm -f $(CORE_JAR) $(ZLIB_JAR) $(SSL_JAR) $(JMX_JAR) $(SPRING_JAR)
	mh_clean

override_dh_auto_install:
	for MYJAR in $(ALL_JARS); do \
		BASENAME=`basename $$MYJAR .jar`; \
		SUBPATH=`echo $$BASENAME | sed -e 's/mina\-//'`; \
		mh_installpom -plibmina-java -o $$SUBPATH/pom.xml ; \
		mh_installjar -plibmina-java -n$$BASENAME -l $$SUBPATH/pom.xml $$MYJAR ; \
	done

=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// \
  https://archive.apache.org/dist/mina/(1\.[\d.]+)/mina-(1\.[\d.]+)\.tar\.gz debian debian/orig-tar.sh

## mina 1.19.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: mina
 Title: Microbial community dIversity and Network Analysis
-Version: 1.18.0
+Version: 1.19.0
 Authors@R: c(person("Rui", "Guan", email = "guan@mpipz.mpg.de", role = c("aut", "cre")),
     person("Ruben", "Garrido-Oter", email = "garridoo@mpipz.mpg.de", role = "ctb"))
 Description: An increasing number of microbiome datasets have been generated and analyzed with the help of rapidly developing sequencing technologies. At present, analysis of taxonomic profiling data is mainly conducted using composition-based methods, which ignores interactions between community members. Besides this, a lack of efficient ways to compare microbial interaction networks limited the study of community dynamics. To better understand how community diversity is affected by complex interactions between its members, we developed a framework (Microbial community dIversity and Network Analysis, mina), a comprehensive framework for microbial community diversity analysis and network comparison. By defining and integrating network-derived community features, we greatly reduce noise-to-signal ratio for diversity analyses. A bootstrap and permutation-based method was implemented to assess community network dissimilarities and extract discriminative features in a statistically principled way.
@@ -25,13 +25,13 @@
 biocViews: Software, WorkflowStep
 BugReports: https://github.com/Guan06/mina
 git_url: https://git.bioconductor.org/packages/mina
-git_branch: RELEASE_3_22
-git_last_commit: 575681a
+git_branch: devel
+git_last_commit: 7f01d56
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-30
 NeedsCompilation: yes
-Packaged: 2025-10-30 05:06:50 UTC; biocbuild
+Packaged: 2025-10-30 21:59:05 UTC; biocbuild
 Author: Rui Guan [aut, cre],
   Ruben Garrido-Oter [ctb]
 Maintainer: Rui Guan <guan@mpipz.mpg.de>
